{ inputs, ... }: {
  flake.modules.nixos.keith = { config, ... }: {
    age.secrets."nas-creds".file = "${inputs.secrets}/nas-creds.age";

    imports = with inputs.self.factory; [
      (mount-cifs {
        host = "duke.veltnet";
        resource = "smb-share";
        destination = "/home/weckyy702/duke";
        credentials_path = "${config.age.secrets.nas-creds.path}";
        UID = "weckyy702";
        GID = "users";
      })
    ];
  };
}
